﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Web.Services;
using System.Data.SqlClient;

public partial class PageMethods : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    [WebMethod]
    public static void SaveContact(string firstName, string lastName, string company, string city, string country, string phone)
    {
        SqlConnection thisConnection = new SqlConnection(ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString);
        try
        {
            SqlCommand thisCommand = new SqlCommand("InsertContact", thisConnection);
            thisCommand.CommandType = CommandType.StoredProcedure;
            thisCommand.Parameters.Add(new SqlParameter("@FirstName", firstName));
            thisCommand.Parameters.Add(new SqlParameter("@LastName", lastName));
            thisCommand.Parameters.Add(new SqlParameter("@Company", company));
            thisCommand.Parameters.Add(new SqlParameter("@City", city));
            thisCommand.Parameters.Add(new SqlParameter("@Country", country));
            thisCommand.Parameters.Add(new SqlParameter("@Phone", phone));
            if (thisConnection.State == ConnectionState.Closed)
                thisConnection.Open();
            thisCommand.ExecuteNonQuery();
        }
        catch (Exception ex)
        {
            // Log the Exception
        }
        finally
        {
            if (thisConnection.State == ConnectionState.Open)
                thisConnection.Close();
        }

    }
}
