﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageMethods.aspx.cs" Inherits="PageMethods" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Page Methods</title>
    <script language="javascript" type="text/javascript">
        function saveContact() {
            var firstName = $get( "txtFirstName" ).value;
            var lastName = $get( "txtLastName" ).value;
            var company = $get( "txtCompany" ).value;
            var city = $get( "txtCity" ).value;
            var country = $get( "txtCountry").value;
            var phone = $get( "txtPhone" ).value;
            PageMethods.SaveContact( firstName, lastName, company, city, country, phone, onSaveContactSucceeded, onSaveContactFailed );
        }
        function onSaveContactSucceeded() {
            $get( "divForm" ).style.display = "none";
            $get( "divMessage" ).style.display = "block";
        }
        function onSaveContactFailed( thisError ) {
            alert( thisError );
        }
    </script>
</head>
<body>
    <form id="formMain" runat="server">
    <asp:ScriptManager ID="smMain" runat="server" EnablePageMethods="true" />
    <div>
        <div id="divForm">
            <table>
                <tr>
                    <td style="text-align: right;">
                        First Name:
                    </td>
                    <td>
                        <input type="text" id="txtFirstName" />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        Last Name:
                    </td>
                    <td>
                        <input type="text" id="txtLastName" />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        Company:
                    </td>
                    <td>
                        <input type="text" id="txtCompany" />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        City:
                    </td>
                    <td>
                        <input type="text" id="txtCity" />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        Country:
                    </td>
                    <td>
                        <input type="text" id="txtCountry" />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        Phone:
                    </td>
                    <td>
                        <input type="text" id="txtPhone" />
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <input type="button" value="Save" onclick="javascript:saveContact();" />
                    </td>
                </tr>
            </table>
        </div>
        <div id="divMessage" style="display: none;">
            The contact has been saved.
        </div>
    </div>
    </form>
</body>
</html>
