﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;

public partial class UpdatePanels : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnSave_Click(object sender, EventArgs e)
    {
        SqlConnection thisConnection = new SqlConnection(ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString);
        try
        {
            SqlCommand thisCommand = new SqlCommand("InsertContact", thisConnection);
            thisCommand.CommandType = CommandType.StoredProcedure;
            thisCommand.Parameters.Add(new SqlParameter("@FirstName", txtFirstName.Text));
            thisCommand.Parameters.Add(new SqlParameter("@LastName", txtLastName.Text));
            thisCommand.Parameters.Add(new SqlParameter("@Company", txtCompany.Text));
            thisCommand.Parameters.Add(new SqlParameter("@City", txtCity.Text));
            thisCommand.Parameters.Add(new SqlParameter("@Country", txtCountry.Text));
            thisCommand.Parameters.Add(new SqlParameter("@Phone", txtPhone.Text));
            if (thisConnection.State == ConnectionState.Closed)
                thisConnection.Open();
            thisCommand.ExecuteNonQuery();
        }
        catch (Exception ex)
        {
            // Log the Exception
        }
        finally
        {
            if (thisConnection.State == ConnectionState.Open)
                thisConnection.Close();
        }

        pnlForm.Visible = false;
        pnlMessage.Visible = true;
    }
}
